Subject: Re: [PATCH 03/13] stmmac: add the new Header file for stmmac platform data

From: Jean-Hugues Deschenes <[email-masked]>
Date: Thu, 07 Jan 2010 09:34:50 -0500

Giuseppe CAVALLARO wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Jean-Hugues Deschenes wrote:
>   
>> Hi Giuseppe,
>>
>> Giuseppe CAVALLARO wrote:
>>     
>>> Another question. Indeed, for stm architectures, within each setup file,
>>> we don't include the linux/stmmac.h (I was wrong before!) but include
>>> linux/stm/platform.h. This own header includes the "linux/stmmac.h".
>>> So using stmmac_plat.h, I should add: #include
>>> "../../../drivers/net/stmmac/stmmac_plat.h"  within the
>>> include/linux/stm/platform.h file. Is it ok? What do you think?
>>>
>>>       
>> I believe that would work out well.
>>
>> ... Although I wonder if the whole stm subdirectory should be in
>> include/linux, rather than in arch/sh...
>>     
> Sorry, I was not not clear before. the  stm subdirectory is in
> include/linux.
>   
You were quite clear; sorry, my mistake; I should have written "... 
Although I wonder if the whole stm subdirectory should be in arch/sh, 
rather than in
include/linux..."

> In fact, my previous question was if it's good to include
> ../../../drivers/net/stmmac/stmmac_plat.h within the
> include/linux/stm/platform.h file.
>   
I don't see a problem with that, although we'd be the first doing it... 
probably as long as the include
../../../drivers/net/stmmac/stmmac_plat.h is surrounded by the 
appropriate #ifdef CONFIG_STMMAC_ETH?

>  But that's another story... It
>   
>> is there because you maintain both sh and arm-base SOCs right?
>>     
> Yes you are right!
>   
... so ideally, you'need some kind of arch/common, arch/shared or 
include/linux/platform directory of some kind... Too bad such a thing 
doesn't exist...

Regards,
jh